import polars as pl


def run(tb_sales_material, tb_customer, options, contexts):
    # 판매주문 테이블과 고객 정보 테이블 조인 => 총괄 분석 테이블생성
    df = tb_sales_material.join(tb_customer, on="customer_id", how="inner")
    result = df.with_columns(
        pl.concat_str(
            [
                pl.col("order_id").cast(pl.Utf8),
                pl.col("item_number").cast(pl.Utf8),
            ],
            separator="-",
        ).alias("order_key")  # key : (order_id, item_numbaer)
    )

    return {"tb_sales_master": result}
